program sdrLog
  ! Program to take Log values


  use sep
  implicit none

  integer                  :: n1,n2,n3,n4,n5,n6
  integer                  :: ii,jj,kk,ll,mm,nn

  real,   allocatable      :: data(:)

  logical                  :: db   ! DeciBell or not


  call sep_init()

  call from_history('n1',n1,1)
  call from_history('n2',n2,1)
  call from_history('n3',n3,1)
  call from_history('n4',n4,1)
  call from_history('n5',n5,1)
  call from_history('n6',n6,1)

  call from_param('db',db,.true.)

  call sep_close()

  allocate(data(n1))


  if (db) then

  do nn=1,n6
  do mm=1,n5
  do ll=1,n4
  do kk=1,n3
  do jj=1,n2

  call sreed("in",data,4*n1)

  do ii=1,n1
  if (data(ii).ne.0) then;  data(ii) = log10(data(ii));  end if
  end do

  call srite("out",data,4*n1)

  end do
  end do
  end do
  end do
  end do

  else

  do nn=1,n6
  do mm=1,n5
  do ll=1,n4
  do kk=1,n3
  do jj=1,n2

  call sreed("in",data,4*n1)

  do ii=1,n1
  if (data(ii).ne.0) then;  data(ii) =     log10(data(ii));  end if
  end do

  call srite("out",data,4*n1)

  end do
  end do
  end do
  end do
  end do


  end if

  deallocate(data)

end program
